ARG MYSQL_VERSION=latest
FROM mysql:${MYSQL_VERSION}

MAINTAINER Yuriy Hrytsaiy <yu.hritsaiy@gmail.com>

#####################################
# Set Timezone
#####################################
ARG TZ=UTC
ENV TZ ${TZ}
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone && chown -R mysql:root /var/lib/mysql/

COPY my.cnf /etc/mysql/conf.d/my.cnf

CMD ["mysqld"]

EXPOSE 3306